수집 업무 거절 메타데이터 조회
curl --request GET \
--url https://meterengine.com/v1/event-rejections/search \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/event-rejections/search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"month": "<string>",
"page": 123,
"recording_started_at": "2023-11-07T05:31:56Z",
"rejections": [
{
"batch_index": 123,
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_code": "<string>",
"error_fields": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-11-07T05:31:56Z",
"recorded_at": "2023-11-07T05:31:56Z",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_id": "<string>",
"type": "<string>"
}
],
"size": 123,
"total": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}수집 거절
수집 업무 거절 메타데이터 조회
month는 거절을 기록한 달이다. 신규 기록 시작 이후 파싱된 단건 업무 거절과 배치 rejected 행만 포함한다. 최상위 JSON 파싱/입력 검증, 인증/한도 거절과 과거 거절은 포함하지 않는다. 원본 properties, 오류 원문과 행위자 ID는 반환하지 않는다. 페이지는 0부터 시작한다. 모르는 조회 조건은 400 validation_error로 거절한다.
GET
/
v1
/
event-rejections
/
search
수집 업무 거절 메타데이터 조회
curl --request GET \
--url https://meterengine.com/v1/event-rejections/search \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/event-rejections/search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"month": "<string>",
"page": 123,
"recording_started_at": "2023-11-07T05:31:56Z",
"rejections": [
{
"batch_index": 123,
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error_code": "<string>",
"error_fields": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-11-07T05:31:56Z",
"recorded_at": "2023-11-07T05:31:56Z",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transaction_id": "<string>",
"type": "<string>"
}
],
"size": 123,
"total": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
쿼리 매개변수
Pattern:
customer_not_found|customer_archived|event_too_old|validation_errorMaximum string length:
255필수 범위:
x >= 0필수 범위:
1 <= x <= 100